Search OEM dark-web data
curl --request POST \
--url https://fullhunt.io/api/v1/oem/darkweb/search \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"query": "<string>"
}
'import requests
url = "https://fullhunt.io/api/v1/oem/darkweb/search"
payload = { "query": "<string>" }
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: '<string>'})
};
fetch('https://fullhunt.io/api/v1/oem/darkweb/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"status": 123,
"message": "<string>",
"error": "<string>"
}{
"status": 123,
"message": "<string>",
"error": "<string>"
}{
"status": 123,
"message": "<string>",
"error": "<string>"
}{
"status": 123,
"message": "<string>",
"error": "<string>"
}OEM
Search OEM dark-web data
OEM module and available OEM credits required. query_tags are recorded for audit attribution.
POST
/
oem
/
darkweb
/
search
Search OEM dark-web data
curl --request POST \
--url https://fullhunt.io/api/v1/oem/darkweb/search \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"query": "<string>"
}
'import requests
url = "https://fullhunt.io/api/v1/oem/darkweb/search"
payload = { "query": "<string>" }
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: '<string>'})
};
fetch('https://fullhunt.io/api/v1/oem/darkweb/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"status": 123,
"message": "<string>",
"error": "<string>"
}{
"status": 123,
"message": "<string>",
"error": "<string>"
}{
"status": 123,
"message": "<string>",
"error": "<string>"
}{
"status": 123,
"message": "<string>",
"error": "<string>"
}Authorizations
FullHunt API key from profile settings
Body
application/json
JSON request body
Search type
Available options:
username, name, email, hostname, mac_address, ip_address, org_alias, bin, cve, domain, password, hashed_password, vin, address, phone Search value
Bypass the normal OEM response cache
Optional. Only return records added on or after this date (DD-MM-YYYY)
Optional. Only return records added on or before this date, inclusive (DD-MM-YYYY)
Customer-defined tenant and request attribution fields
Response
Successful response
Endpoint-specific JSON response. Consult the operation and workflow guide for field semantics.
